
## Install

``` bash
npm install e-upload-file
```

## Usage

### init

``` js
import Vue from 'vue'
import App from './App.vue'

import eUploader from 'e-upload-file'
Vue.use(eUploader)

/* eslint-disable no-new */
new Vue({
  render(createElement) {
    return createElement(App)
  }
}).$mount('#app')
```

### App.vue

``` vue
<template>
  <div style="width: 200px">
    <eUploader :config="fileConfig"
               :successCb="successCb"
               :deleteUid="deleteUid"
               @fileChange="fileChange"
               @uploadingFile="uploadingFile"></eUploader>
  </div>
</template>

<script>
export default {
  data () {
    return {
      fileConfig: {
        action: 'save/file', // 上传URL
        label: '上传文件', // 表单标题
        btnText: '点击上传', // 上传按钮文案
        type: '.xls,.xlsx', // 上传文件类型
        headers: { // 请求头
          'access-token': '111'
        },
        data: { // 请求参数
          'moduleName': 'case',
          'businessType': 1
        },
        require: true // 是否必传
      },
      deleteUid: 0 // 删除文件uid
    }
  },
  created () {
  },
  methods: {
    // 上传成功回调
    successCb (res) {
      const { code, message } = res.resHeader
      if (code === 401) {

        return false
      }
      if (code !== 0) {
        this.$message.error(message)
        return false
      }

      return true
    },
    fileChange (data) {
      console.log(data);
    },
    uploadingFile (data) {
      console.log(data);
    },
  },
  components: {
  }
}
</script>

<style scoped>
</style>
```